{% extends 'base.html.twig' %}
{% import 'macro/_forms.html.twig' as macro %}
{% import 'macro/_sitting_tabs.html.twig' as macroTab %}
{% import 'macro/_sitting_nav.html.twig' as macroNav %}

{% block stylesheets %}
    {{ encore_entry_link_tags('vue-edit-invitations') }}
{% endblock %}



{% block body %}

    <div class="col-12 offset-0">
        {{ breadcrumbs() }}
    </div>

    <div id="app" v-cloak>
    <div class="alert alert-success mt-2 col-12" v-if="messageInfo"> ${messageInfo}</div>

    <div class="d-flex align-items-center col-12 mt-3">
        <h1 class="flex-grow-1">{{ title }}</h1>
        {{ macroNav.toogleView( path('sitting_show_actors', {'id': sitting.id}) , 'edit') }}
    </div>

    <div class="col-12">
        <div class="mt-4">
            {{ macro.backButton('sitting_index', {'status' : 'active'}) }}
        </div>


        <div>


            <div class="row mt-4">
                <div class="col-12 px-3  form-white">
                    {{ macroTab.editTabs('actors', sitting) }}

                    <h2 class="mt-4">Elus</h2>
                    <div class="row">
                        <div v-for="actor in inSittingActors" class="col-4">
                            <button :disabled="alreadySentConvocation(actor.id)" class="btn btn-outline-danger borderless"
                                    v-on:click="removeActor(actor.id)">
                                <span class="fa fa-trash-alt" title="Retirer"></span>
                            </button>
                            <span :title="actor.username">${ actor.firstName } ${ actor.lastName }</span>
                        </div>

                    </div>
                </div>
            </div>


            <div class="row mt-4">
                <div class="col-12 px-3  form-white">
                    <div class="form-group">
                        <label for="actors">Ajouter des élus</label>
                        <v-select
                                v-bind:options="notInSittingActors"
                                id="actors"
                                label="lastName"
                                class="bs-form-like"
                                v-model="addedActors"
                                :close-on-select="false"
                                :reduce="item => item.id"
                                multiple>
                            <template #option="{ firstName, lastName }">
                                ${ firstName } ${ lastName }
                            </template>
                            <template #selected-option="{ firstName, lastName }">
                                ${ firstName } ${ lastName }
                            </template>
                            <span slot="no-options">
                                        Pas de résultats trouvés
                            </span>
                        </v-select>
                    </div>

                </div>
            </div>


            {% if sitting.invitationFile %}
                <div class="row mt-4">
                    <div class="col-12 px-3 form-white">
                        <h2 class="mt-4">Personnels administratifs</h2>
                        <div class="row">
                            <div v-for="user in inSittingEmployees" class="col-4">
                                <button :disabled="alreadySentConvocation(user.id)" class="btn btn-outline-danger borderless"
                                        v-on:click="removeActor(user.id)">
                                    <span class="fa fa-trash-alt" title="Retirer"></span>
                                </button>
                                <span :title="user.username">${ user.firstName } ${ user.lastName }</span>
                            </div>

                        </div>
                    </div>
                </div>

                <div class="row mt-4">
                    <div class="col-12  form-white">
                        <div class="form-group">
                            <label for="actors">Ajouter des personnels administratifs</label>
                            <v-select
                                    v-bind:options="notInSittingEmployees"
                                    id="employees"
                                    label="lastName"
                                    class="bs-form-like"
                                    v-model="addedEmployees"
                                    :close-on-select="false"
                                    :reduce="item => item.id"
                                    multiple>
                                <template #option="{ firstName, lastName }">
                                    ${ firstName } ${ lastName }
                                </template>
                                <template #selected-option="{ firstName, lastName }">
                                    ${ firstName } ${ lastName }
                                </template>
                                <span slot="no-options">
                                        Pas de résultats trouvés
                                </span>
                            </v-select>
                        </div>

                    </div>
                </div>



                <div class="row mt-4">
                    <div class="col-12  form-white">
                        <h2 class="mt-4">Invités</h2>
                        <div class="row">
                            <div v-for="user in inSittingGuests" class="col-4">
                                <button :disabled="alreadySentConvocation(user.id)" class="btn btn-outline-danger borderless"
                                        v-on:click="removeActor(user.id)">
                                    <span class="fa fa-trash-alt" title="Retirer"></span>
                                </button>
                                <span :title="user.username">${ user.firstName } ${ user.lastName }</span>
                            </div>

                        </div>
                    </div>
                </div>



                <div class="row mt-4">
                    <div class="col-12  form-white">
                        <div class="form-group">
                            <label for="actors">Ajouter des invités</label>
                            <v-select
                                    v-bind:options="notInSittingGuests"
                                    id="guests"
                                    label="lastName"
                                    class="bs-form-like"
                                    v-model="addedGuests"
                                    :close-on-select="false"
                                    :reduce="item => item.id"
                                    multiple>
                                <template #option="{ firstName, lastName }">
                                    ${ firstName } ${ lastName }
                                </template>
                                <template #selected-option="{ firstName, lastName }">
                                    ${ firstName } ${ lastName }
                                </template>
                                <span slot="no-options">
                                        Pas de résultats trouvés
                                </span>
                            </v-select>
                        </div>

                    </div>
                </div>

            {% else %}
                <div class="row mt-4">
                    <div class="col-12 alert alert-info">
                        <span slot="no-options" class="displayInfo -center">
                                Si vous souhaitez ajouter des personnels administratifs, invités, gestionnaires de séance ou administrateurs,
                                il vous faut au préalable ajouter un document d'invitation à la séance (onglet <a id="retourOngletInfo" href="{{ path('edit_sitting_information', {'id': sitting.id}) }}">Informations</a>)
                        </span>
                    </div>
                </div>
            {% endif %}

            <div class="row mt-4 justify-content-end">
                <div class="col-10 offset-1 px-0">
                    <div class="float-end">

                        <button class="btn btn-link" @click="cancel()" title="Annuler les modifications">
                            <span class="fa fa-times"></span> Annuler les modifications
                        </button>

                        <button class="btn btn-primary" @click="save()" title="Enregistrer les modifications">
                            <span class="fa fa-save"></span>
                            Enregistrer les modifications
                        </button>
                    </div>
                </div>
            </div>

        </div>

    </div>
    </div>

    {{ include('include/_modal_confirm_not_save.html.twig') }}

{% endblock %}



{% block javascripts %}
    {{ encore_entry_script_tags('vue-edit-invitations') }}

    <style>
        .vs__dropdown-option--selected {
            background: #ddd;
            color: #222;
        }
    </style>

{% endblock %}
